Skip to Content
API ReferenceProduct Variants

Release a booking hold

Release a previously created booking hold.

Release a booking hold when the customer changes appointment time, switches variants, or leaves checkout before completing payment.

DELETE
/v2/products/{product}/variants/booking/holds/{hold}

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Path Parameters

product*integer

The product path parameter.

hold*string

The hold path parameter.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
customer_key?string|null

Response Body

Successful response.

application/json
  1. response
ok*boolean
Example Request
curl -X DELETE 'https://sell.app/api/v2/products/0/variants/booking/holds/string' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "customer_key": "visitor-session-123"}'
{  "ok": true}